<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl" version="1.0">


<xsl:template match="/">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="currentList">
<html>
<head>
<title><xsl:value-of select="@host"/> playlists: <xsl:value-of select="@title"/></title>
</head>
<body>


<table bgcolor="white" border="2">

	<thead>
		<tr>
			<td>
				<a>
					<xsl:attribute name="href"><xsl:value-of select="@tagfid"/>?.m3u</xsl:attribute>
					<b>Stream</b>
				</a>
			</td>
			<td>
				<a>
					<xsl:attribute name="href"><xsl:value-of select="@tagfid"/>?SERIAL=%23100.htm</xsl:attribute>
					<b>Play</b>
				</a>
			</td>
			<td>
				<a>
					<xsl:attribute name="href"><xsl:value-of select="@tagfid"/></xsl:attribute>
					<b>Tags</b>
				</a>
			</td>
			<td align="center">
				<font size="+2">
					<b><em><xsl:value-of select="@title"/></em></b>
				</font>
			</td>
			<td><b>Length</b></td>
			<td><b>Type</b></td>
			<td><b>Artist</b></td>
			<td><b>Source</b></td>
		</tr>
	</thead>	
	<tbody>
		<xsl:apply-templates select="playlists"/>
		<xsl:apply-templates select="tunes"/>
	</tbody>
</table>

</body>
</html>

</xsl:template>



<xsl:template match="playlists">

	<xsl:for-each select="playlist">

	<tr>
		<td>
			<a>
				<xsl:attribute name="href"><xsl:value-of select="tagfid"/>?.m3u</xsl:attribute>
				<i>Stream</i>
			</a>
		</td>

		<td>
			<a>
				<xsl:attribute name="href"><xsl:value-of select="/currentList/@tagfid"/>?SERIAL=%23<xsl:value-of select="fid"/>.htm</xsl:attribute>
				<i>Play</i>
			</a>
		</td>

		<td>
			<a>
				<xsl:attribute name="href"><xsl:value-of select="tagfid"/></xsl:attribute>
				<i>Tags</i>
			</a>
		</td>

		<td>
			<a>
				<xsl:attribute name="href"><xsl:value-of select="tagfid"/>?.htm</xsl:attribute>
				<xsl:value-of select="title"/>
			</a>
		</td>

		<td align="center">
			<xsl:value-of select="length"/>
		</td>

		<td>
			Playlist
		</td>

		<td>
			&#xa0;
			<xsl:value-of select="artist"/>
		</td>

		<td>
			&#xa0;
			<xsl:value-of select="source"/>
		</td>
	</tr>

	</xsl:for-each>

</xsl:template>



<xsl:template match="tunes">

	<xsl:for-each select="tune">

	<tr>
		<td>
			<a>
				<xsl:attribute name="href"><xsl:value-of select="tagfid"/>?.m3u</xsl:attribute>
				<i>Stream</i>
			</a>
		</td>

		<td>
			<a>
				<xsl:attribute name="href"><xsl:value-of select="/currentList/@tagfid"/>?SERIAL=%23<xsl:value-of select="fid"/>.htm</xsl:attribute>
				<i>Play</i>
			</a>
		</td>

		<td>
			<a>
				<xsl:attribute name="href"><xsl:value-of select="tagfid"/></xsl:attribute>
				<i>Tags</i>
			</a>
		</td>

		<td>
			<a>
				<xsl:attribute name="href"><xsl:value-of select="fid"/></xsl:attribute>
				<xsl:value-of select="title"/>
			</a>
		</td>

		<td align="center">
			<xsl:value-of select="duration"/>
		</td>

		<td>
			Tune
		</td>

		<td>
			<xsl:value-of select="artist"/>
		</td>

		<td>
			<xsl:value-of select="source"/>
		</td>
	</tr>

	</xsl:for-each>

</xsl:template>



</xsl:stylesheet>
